
/*************************************************
****            VEGA - Count header           ****
**** Copyright 1996-2003, Alessandro Pedretti ****
*************************************************/


#ifndef __COUNT
#define  __COUNT

#ifndef __VG_TYPES
#  include  "vgtypes.h"
#endif

/**** Constants ****/

#define  FIELDLEN       256
#define  PSF_HBFF       "HBOND.tem"

#ifdef LITTLE_ENDIAN
#  define  VG_ELEM_H    0x0048
#else
#  define  VG_ELEM_H    0x4800
#endif

/**** Prototypes ****/

#  ifdef __cplusplus
extern "C" {
#  endif

VG_ULONG   CountActiveAtms(ATOMO *);
VG_ULONG   CountAtms(ATOMO *, VG_BOOL);
VG_ULONG   CountAngle(ATOMO **);
VG_ULONG   CountBond(ATOMO *);
VG_ULONG   CountChain(ATOMO *);
VG_ULONG   CountHbAcceptor(ATOMO *);
VG_ULONG   CountHbDonor(ATOMO *);
VG_ULONG   CountImproper(ATOMO **, ATOMO **);
VG_ULONG   CountRes(ATOMO *);
VG_ULONG   CountTorsion(ATOMO **, ATOMO **);
VG_ULONG   GenAngleMtx(ATOMO **, ATOMO ***);
VG_ULONG   GenBondMtx(ATOMO *, ATOMO ***);
VG_ULONG   GenImproperMtx(ATOMO **, ATOMO ***);
VG_ULONG   GenTorsionMtx(ATOMO **, ATOMO ***);

#  ifdef __cplusplus
}
#  endif
#endif
