
/*************************************************
****      VEGA - Molecule selector header     ****
**** Copyright 1996-2003, Alessandro Pedretti ****
*************************************************/


#ifndef __SELMOL
#  define  __SELMOL

#  ifndef __VG_TYPES
#    include "vgtypes.h"
#  endif

/**** Definitions ****/

typedef struct __VG_MOLLIST {
  struct __VG_MOLLIST   *Ptr;           /* Pointer to the next list element */
  VG_ULONG              Num;            /* Number of the molecule           */
  ATOMO                 *Begin;         /* Starting atom                    */
  ATOMO                 *End;           /* Ending atom                      */
} VG_MOLLIST;

/**** Prototypes ****/

#  ifdef __cplusplus
extern "C" {
#  endif

VG_ULONG        MolElemCrc(ATOMO *, VG_BOOL);
VG_MOLLIST     *MolListAtm2List(VG_MOLLIST *, VG_ULONG);
VG_MOLLIST     *MolListBuild(ATOMO *, VG_BYTE);
VG_ULONG        MolListCountMol(void);
VG_ULONG        MolListFindMol(ATOMO *);
VG_ULONG        MolListGet(VG_ULONG, ATOMO **, ATOMO **);
void            MolListFree(VG_MOLLIST **);
void            MolListRemAtm(VG_ULONG, VG_ULONG);
void            MolRotate(ATOMO *, float, float, float, XYZ *, float [4][4]);
void            MolTranslate(ATOMO *, float, float, float, XYZ *, float [4][4]);

#  ifdef __cplusplus
}
#  endif
#endif

